#!/bin/zsh
batstat=$(cat /sys/class/power_supply/BAT1/status 2>/dev/null)
charge=$(cat /sys/class/power_supply/BAT1/capacity 2>/dev/null)
if [[ "$batstat" == "Discharging" && "$charge" -lt 50 ]]; then
  echo "Battery: $(sb-battery)"
fi
HISTFILE=$HOME/.cache/zsh/history
SAVEHIST=100000000
HISTSIZE=$SAVEHIST
setopt appendhistory
autoload -U compinit
zstyle ':completion:*' menu select
zmodload zsh/complist
compinit
comp_options+=(globdots)
zstyle ':completion:*' matcher-list 'm:{a-z}={A-Z}'
source /usr/share/zsh/site-functions/zsh-autosuggestions.zsh && fpath=(/usr/share/zsh/site-functions $fpath) && source /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
autoload -U colors && colors && setopt prompt_subst
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=5"
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=12"
export PS1="%B%F{#d77189}[%F{#e89cae}%n%F{#d77189}@%M %F{#e6adb8}%~%F{#d77189}]%f%F{#fce9ec}%B$%b%f "
export LIBCLANG_PATH=/usr/lib/llvm/20/lib64
source ~/.zprofile

